concurrent_monitor.h File Reference
`#include "tbb/tbb_stddef.h"`
`#include "tbb/atomic.h"`
`#include "tbb/spin_mutex.h"`
`#include "tbb/tbb_exception.h"`
`#include "tbb/aligned_space.h"`
`#include "semaphore.h"`
Include dependency graph for concurrent_monitor.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | tbb::internal::circular_doubly_linked_list_with_sentinel
| Circular doubly-linked list with sentinel. More...
struct | tbb::internal::circular_doubly_linked_list_with_sentinel::node_t
class | tbb::internal::concurrent_monitor
| concurrent_monitor More...
class | tbb::internal::concurrent_monitor::thread_context

## Namespaces

| tbb
| The graph class.
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.

## Typedefs

typedef circular_doubly_linked_list_with_sentinel | tbb::internal::waitset_t
typedef circular_doubly_linked_list_with_sentinel::node_t | tbb::internal::waitset_node_t

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.